RosettaConstructionPreprocessResponse contains options that will be sent unmodified to /construction/metadata. If it is not necessary to make a request to /construction/metadata, options should be omitted. Some blockchains require the PublicKey of particular AccountIdentifiers to construct a valid transaction. To fetch these PublicKeys, populate required_public_keys with the AccountIdentifiers associated with the desired PublicKeys. If it is not necessary to retrieve any PublicKeys for construction, required_public_keys should be omitted.

export
interface

  RosettaConstructionPreprocessResponse

### Hierarchy

- RosettaConstructionPreprocessResponse

## Index

### Properties

- options
- required_public_keys

## Properties

### Optional options

options: RosettaOptions

- Defined in src/generated/models/RosettaConstructionPreprocessResponse.ts:38

memberof

  RosettaConstructionPreprocessResponse

### Optional required_public_keys

required_public_keys: RosettaAccount []

- Defined in src/generated/models/RosettaConstructionPreprocessResponse.ts:44

memberof

  RosettaConstructionPreprocessResponse

Generated using TypeDoc